<template>
  <div class="referral-program-box">
    <div class="box-left">
      <div class="referral-qr">
        <qrcode :value="urlReferral" :options="{ size: 60 }"></qrcode>
      </div>

      <div class="referral-box">
        <div class="referral-box-item">
          <span class="label-text">{{ $t('bounty.referral.referral_id') }}</span>
          <span class="content" v-if="!!user">{{ user.referral_id }}</span>
          <button class="iconmo iconmo-copy button-copy"
                  v-clipboard:copy="user.referral_id"
                  @click="isShowTooltipCopy = !isShowTooltipCopy"
                  v-tooltip="{content: 'Copied', trigger: 'click',boundariesElement: 'window',show: isShowTooltipCopy , classes: ['hide', 'hideAnim']}"
            ></button>
        </div>
        <div class="referral-box-item link">
          <span class="label-text">{{ $t('bounty.referral.link') }}</span>
          <div class="content">
            <p class="referral-input">{{ urlReferral }}</p>
            <button class="iconmo iconmo-copy button-copy"
                  v-clipboard:copy="urlReferral"
                  @click="isShowTooltip = !isShowTooltip"
                  v-tooltip="{content: 'Copied', trigger: 'click',boundariesElement: 'window',show: isShowTooltip , classes: ['hide', 'hideAnim']}"
            ></button>
          </div>
        </div>
      </div>
    </div>
    <div class="referral-number" v-if="!!user">
      <div class="number-box">
        <div class="name">{{ $t('bounty.referral.registered') }}</div>
        <div class="number">{{ user.referrees }}</div>
      </div>
      <div class="number-box">
        <div class="name">{{ $t('bounty.referral.kyc') }}</div>
        <div class="number">{{ user.kycs }}</div>
      </div>
      <div class="number-box">
        <div class="name">{{ $t('bounty.referral.deopsited') }}</div>
        <div class="number">{{ user.deposit }}</div>
      </div>
    </div>
  </div>
</template>

<script>
import QrCodeModel from '../modal/QrCodeModel.vue';
import ReferralBoxCore from '../../../../home/pages/bounty_airdrop/airdrop_referral/ReferralBox.vue';

export default {
  extends: ReferralBoxCore,
  methods: {
    showQrCodeModal () {
      this.$broadcast('open-modal', QrCodeModel, this.urlReferral);
    },
  },
  data () {
    return {
      isShowTooltip: false,
      isShowTooltipCopy: false,
    };
  },
}
</script>

<style lang="scss" scoped>
  @import '../../../../../sass/mobile/typoVariables.scss';
  .referral-program-box {
    border-radius: 8rem;
    margin-top: 30rem;

    .box-left {
      font-size: 0;
      width: 100% !important;
      position: relative;
      padding-bottom: 9rem;

      &:after {
        content: '';
        display: block;
        position: absolute;
        bottom: 0;
        width: 100%;
        left: 0;
        height: 1rem;
        background-color: #ababab;
      }
    }
  }

  .referral-qr {
    display: inline-block;
    font-size: 0;
    margin-right: 15rem;
    vertical-align: top;
  }

  .referral-box {
    display: inline-block;
    width: calc(100% - 75rem);

    .referral-box-item {
      position: relative;
      font-size: 14rem;
      line-height: 1;
      color: $gray;
      font-weight: 300;
      margin-bottom: 12rem;
      .label-text {
        text-align: left;
        display: inline-block;

        & + .content {
          color: $black;

          & + .button-copy {
            position: static;
            transform: translateY(0);
            height: 14rem;
          }
        }
      }
      .content {
        position: relative;
        display: inline-block;
        font-weight: bold;
      }
      .referral-input {
        display: inline-block;
        vertical-align: top;
        margin-bottom: 0;
        font-weight: bold;
        font-size: $small;
        text-decoration: underline;
        padding-right: 13rem;
        word-break: break-all;
        padding-right: 23rem;
      }
      .button-copy {
        position: absolute;
        right: 0;
        top: 50%;
        height: 40rem;
        transform: translateY(-50%);
        margin-left: 12rem;
        background: transparent;
        border: none;
        outline: none;
        cursor: pointer;
        &:before {
          color: #989898;
        }
      }

      &.link {
        .content {
          line-height: 24rem;
        }
      }
    }
  }

  .referral-number {
    align-items: center;
    padding: 23rem 0;
    .number-box {
      margin-bottom: 5rem;
      .name,
      .number {
        font-size: $small;
        color: $gray;
        float: left;
      }
      .number {
        font-weight: bold;
        float: right;
        font-size: $medium;
      }

      &:after {
        content: '';
        display: table;
        clear: both;
      }
    }
  }

  .ctu-total {
    padding-top: 26rem;
  }
</style>
